public class ClaseFinal
{
	protected final int A=10; // Se vuelve constante
	protected int b;
	
	public ClaseFinal()
	{
		b=0;
	}
	
	public ClaseFinal(int x)
	{
		b=x;
		// A=x;
		// A es constante
	}
	
	public final void modificaB(int x)
	// No se puede sobreescribir
	{
		b=x;
	}
	
	public int multiplica()
	{
		return b*A;
	}
}
